using Wizard.Scripts.Network.Task.Arena.TwoPick;

namespace Wizard.Scripts.Network.Task.Arena;

public abstract class ArenaRetireTaskBase : BaseTask
{
	public ArenaRetireTaskBase()
	{
	}

	public abstract void SetParameter();

	public static ArenaRetireTaskBase GetTaskInstance(int mode)
	{
		ArenaRetireTaskBase result = null;
		if (mode == 1)
		{
			result = new RetireTask();
		}
		return result;
	}
}
